LoaderOptions (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.tools

## Class LoaderOptions

- java.lang.Object
- - org.apache.cassandra.tools.LoaderOptions

-     public class LoaderOptions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AUTH_PROVIDER_OPTION`
    `com.datastax.driver.core.AuthProvider` | `authProvider`
    `EncryptionOptions.ClientEncryptionOptions` | `clientEncOptions`
    `static java.lang.String` | `CONFIG_PATH`
    `static java.lang.String` | `CONNECTIONS_PER_HOST`
    `int` | `connectionsPerHost`
    `boolean` | `debug`
    `java.io.File` | `directory`
    `static java.lang.String` | `HELP_OPTION`
    `java.util.Set<java.net.InetAddress>` | `hosts`
    `static java.lang.String` | `IGNORE_NODES_OPTION`
    `java.util.Set<java.net.InetAddress>` | `ignores`
    `static java.lang.String` | `INITIAL_HOST_ADDRESS_OPTION`
    `static java.lang.String` | `INTER_DC_THROTTLE_MBITS`
    `int` | `interDcThrottle`
    `static java.lang.String` | `NATIVE_PORT_OPTION`
    `int` | `nativePort`
    `boolean` | `noProgress`
    `static java.lang.String` | `NOPROGRESS_OPTION`
    `java.lang.String` | `passwd`
    `static java.lang.String` | `PASSWD_OPTION`
    `EncryptionOptions.ServerEncryptionOptions` | `serverEncOptions`
    `static java.lang.String` | `SSL_ALGORITHM`
    `static java.lang.String` | `SSL_CIPHER_SUITES`
    `static java.lang.String` | `SSL_KEYSTORE`
    `static java.lang.String` | `SSL_KEYSTORE_PW`
    `static java.lang.String` | `SSL_PROTOCOL`
    `static java.lang.String` | `SSL_STORAGE_PORT_OPTION`
    `static java.lang.String` | `SSL_STORE_TYPE`
    `static java.lang.String` | `SSL_TRUSTSTORE`
    `static java.lang.String` | `SSL_TRUSTSTORE_PW`
    `int` | `sslStoragePort`
    `static java.lang.String` | `STORAGE_PORT_OPTION`
    `int` | `storagePort`
    `int` | `throttle`
    `static java.lang.String` | `THROTTLE_MBITS`
    `static java.lang.String` | `TOOL_NAME`
    `java.lang.String` | `user`
    `static java.lang.String` | `USER_OPTION`
    `boolean` | `verbose`
    `static java.lang.String` | `VERBOSE_OPTION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.cassandra.tools.LoaderOptions.Builder` | `builder()`
    `static void` | `printUsage(org.apache.commons.cli.Options options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HELP_OPTION

          public static final java.lang.String HELP_OPTION

      See Also:
        Constant Field Values

    - #### VERBOSE_OPTION

          public static final java.lang.String VERBOSE_OPTION

      See Also:
        Constant Field Values

    - #### NOPROGRESS_OPTION

          public static final java.lang.String NOPROGRESS_OPTION

      See Also:
        Constant Field Values

    - #### NATIVE_PORT_OPTION

          public static final java.lang.String NATIVE_PORT_OPTION

      See Also:
        Constant Field Values

    - #### STORAGE_PORT_OPTION

          public static final java.lang.String STORAGE_PORT_OPTION

      See Also:
        Constant Field Values

    - #### SSL_STORAGE_PORT_OPTION

          public static final java.lang.String SSL_STORAGE_PORT_OPTION

      See Also:
        Constant Field Values

    - #### USER_OPTION

          public static final java.lang.String USER_OPTION

      See Also:
        Constant Field Values

    - #### PASSWD_OPTION

          public static final java.lang.String PASSWD_OPTION

      See Also:
        Constant Field Values

    - #### AUTH_PROVIDER_OPTION

          public static final java.lang.String AUTH_PROVIDER_OPTION

      See Also:
        Constant Field Values

    - #### INITIAL_HOST_ADDRESS_OPTION

          public static final java.lang.String INITIAL_HOST_ADDRESS_OPTION

      See Also:
        Constant Field Values

    - #### IGNORE_NODES_OPTION

          public static final java.lang.String IGNORE_NODES_OPTION

      See Also:
        Constant Field Values

    - #### CONNECTIONS_PER_HOST

          public static final java.lang.String CONNECTIONS_PER_HOST

      See Also:
        Constant Field Values

    - #### CONFIG_PATH

          public static final java.lang.String CONFIG_PATH

      See Also:
        Constant Field Values

    - #### THROTTLE_MBITS

          public static final java.lang.String THROTTLE_MBITS

      See Also:
        Constant Field Values

    - #### INTER_DC_THROTTLE_MBITS

          public static final java.lang.String INTER_DC_THROTTLE_MBITS

      See Also:
        Constant Field Values

    - #### TOOL_NAME

          public static final java.lang.String TOOL_NAME

      See Also:
        Constant Field Values

    - #### SSL_TRUSTSTORE

          public static final java.lang.String SSL_TRUSTSTORE

      See Also:
        Constant Field Values

    - #### SSL_TRUSTSTORE_PW

          public static final java.lang.String SSL_TRUSTSTORE_PW

      See Also:
        Constant Field Values

    - #### SSL_KEYSTORE

          public static final java.lang.String SSL_KEYSTORE

      See Also:
        Constant Field Values

    - #### SSL_KEYSTORE_PW

          public static final java.lang.String SSL_KEYSTORE_PW

      See Also:
        Constant Field Values

    - #### SSL_PROTOCOL

          public static final java.lang.String SSL_PROTOCOL

      See Also:
        Constant Field Values

    - #### SSL_ALGORITHM

          public static final java.lang.String SSL_ALGORITHM

      See Also:
        Constant Field Values

    - #### SSL_STORE_TYPE

          public static final java.lang.String SSL_STORE_TYPE

      See Also:
        Constant Field Values

    - #### SSL_CIPHER_SUITES

          public static final java.lang.String SSL_CIPHER_SUITES

      See Also:
        Constant Field Values

    - #### directory

          public final java.io.File directory

    - #### debug

          public final boolean debug

    - #### verbose

          public final boolean verbose

    - #### noProgress

          public final boolean noProgress

    - #### nativePort

          public final int nativePort

    - #### user

          public final java.lang.String user

    - #### passwd

          public final java.lang.String passwd

    - #### authProvider

          public final com.datastax.driver.core.AuthProvider authProvider

    - #### throttle

          public final int throttle

    - #### interDcThrottle

          public final int interDcThrottle

    - #### storagePort

          public final int storagePort

    - #### sslStoragePort

          public final int sslStoragePort

    - #### clientEncOptions

          public final EncryptionOptions.ClientEncryptionOptions clientEncOptions

    - #### connectionsPerHost

          public final int connectionsPerHost

    - #### serverEncOptions

          public final EncryptionOptions.ServerEncryptionOptions serverEncOptions

    - #### hosts

          public final java.util.Set<java.net.InetAddress> hosts

    - #### ignores

          public final java.util.Set<java.net.InetAddress> ignores

  - ### Method Detail

    - #### builder

          public static org.apache.cassandra.tools.LoaderOptions.Builder builder()

    - #### printUsage

          public static void printUsage(org.apache.commons.cli.Options options)

Copyright © 2018 The Apache Software Foundation